Name:           python-setuptools_scm
Version:        3.4.1
Release:        1
Summary:        Manage your Python package versions in SCM metadata
License:        MIT
URL:            https://pypi.python.org/pypi/setuptools_scm
Source0:        https://files.pythonhosted.org/packages/source/%(n=setuptools_scm; echo ${n:0:1})/setuptools_scm/setuptools_scm-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  git-core mercurial

%description
setuptools_scm handles managing your Python package versions in SCM metadata
instead of declaring them as the version argument or in a SCM managed file.
It also handles file finders for the supported SCMs.

%package_help

%package -n python2-setuptools_scm
Summary:        %{summary}
BuildRequires:  python2-devel python2-setuptools
BuildRequires:  python2-pytest python2-toml
%{?python_provide:%python_provide python2-setuptools_scm}

%description -n python2-setuptools_scm
setuptools_scm handles managing your Python package versions in SCM metadata
instead of declaring them as the version argument or in a SCM managed file.
It also handles file finders for the supported SCMs.

%package -n python%{python3_pkgversion}-setuptools_scm
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python%{python3_pkgversion}-toml
%{?python_provide:%python_provide python%{python3_pkgversion}-setuptools_scm}
Obsoletes:      platform-python-setuptools_scm < %{version}-%{release}

%description -n python%{python3_pkgversion}-setuptools_scm
setuptools_scm handles managing your Python package versions in SCM metadata
instead of declaring them as the version argument or in a SCM managed file.
It also handles file finders for the supported SCMs.

%prep
%autosetup -n setuptools_scm-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python2_sitelib} py.test-%{python2_version} -v -k 'not (test_pip_download or test_old_setuptools_fails or test_old_setuptools_allows_with_warnings or test_distlib_setuptools_works)'
PYTHONPATH=%{buildroot}%{python2_sitelib} py.test-%{python3_version} -v -k 'not (test_pip_download or test_old_setuptools_fails or test_old_setuptools_allows_with_warnings or test_distlib_setuptools_works)'

%files help
%doc README.rst

%files -n python2-setuptools_scm
%defattr(-,root,root)
%license LICENSE
%{python2_sitelib}/setuptools_scm/
%{python2_sitelib}/setuptools_scm-*.egg-info/

%files -n python%{python3_pkgversion}-setuptools_scm
%defattr(-,root,root)
%license LICENSE
%{python3_sitelib}/setuptools_scm/
%{python3_sitelib}/setuptools_scm-*.egg-info

%changelog
* Thu Sep 23 2021 chenchen <chen_aka_jan@163.com> - 3.4.1-1
- update to 3.4.1

* Thu Sep 09 2021 huanghaitao <huanghaitao8@huawei.com> - 3.1.0-3
- Add option git_describe_command to fix python-cmd2 build error

* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1.0-2
- Modify spec format.

* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1.0-1
- Package init.
